#!/bin/bash

set -euxo pipefail

LOG_PATH=""

COMMIT=$(/usr/bin/git rev-parse --short HEAD)

/bin/echo "build protos"
./scripts/build_protos.sh

/bin/echo "build plugins"
./scripts/build_windows_plugin.sh

git log -3

/bin/echo "build Windows"
LOG_PATH="/tmp/eagle0/editor_win.log"
BUILD_DIR=$1

./ci/github_actions/build_windows.sh $BUILD_DIR $LOG_PATH

